Bug 226322 - irc/xchat: Please deprecate or remove XChat
Summary: irc/xchat: Please deprecate or remove XChat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-03-03 09:24 UTC by Tobias Kortkamp
Modified: 2018-03-17 08:39 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
xchat.diff (416 bytes, patch)
2018-03-03 09:24 UTC, Tobias Kortkamp
tobik: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2018-03-03 09:24:59 UTC
Created attachment 191166 [details]
xchat.diff

It's not being developed anymore (last release ~8 years ago!) and has
several unpatched security issues as outlined by the HexChat developer
in [1].

HexChat (irc/hexchat) is an actively developed XChat fork with a
similar interface that can be used instead.

[1] https://tingping.github.io/2018/03/02/when-distros-get-it-wrong.html
Comment 1 commit-hook freebsd_committer 2018-03-17 08:39:04 UTC
A commit references this bug:

Author: tobik
Date: Sat Mar 17 08:38:10 UTC 2018
New revision: 464765
URL: https://svnweb.freebsd.org/changeset/ports/464765

Log:
  irc/xchat: Deprecate

  It's unmaintained with likely many unpatched security issues.
  irc/hexchat is an actively maintained fork of XChat which can be used
  instead.

  https://tingping.github.io/2018/03/02/when-distros-get-it-wrong.html

  PR:		226322
  Approved by:	gnome (maintainer timeout, 2 weeks)

Changes:
  head/irc/xchat/Makefile